Generate or save an IndexNow key
curl --request POST \
--url https://api.snowseo.com/v3/integrations/indexnow/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"host": "<string>",
"existingKey": "<string>",
"persist": true
}
'import requests
url = "https://api.snowseo.com/v3/integrations/indexnow/connect"
payload = {
"host": "<string>",
"existingKey": "<string>",
"persist": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({host: '<string>', existingKey: '<string>', persist: true})
};
fetch('https://api.snowseo.com/v3/integrations/indexnow/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/integrations/indexnow/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'host' => '<string>',
'existingKey' => '<string>',
'persist' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/integrations/indexnow/connect"
payload := strings.NewReader("{\n \"host\": \"<string>\",\n \"existingKey\": \"<string>\",\n \"persist\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.snowseo.com/v3/integrations/indexnow/connect")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"host\": \"<string>\",\n \"existingKey\": \"<string>\",\n \"persist\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/integrations/indexnow/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"host\": \"<string>\",\n \"existingKey\": \"<string>\",\n \"persist\": true\n}"
response = http.request(request)
puts response.read_body{
"key": "<string>",
"host": "<string>",
"keyFileUrl": "<string>",
"fileName": "<string>"
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}Settings
Connect IndexNow
Generate or save an IndexNow key for the brand.
POST
/
v3
/
integrations
/
indexnow
/
connect
Generate or save an IndexNow key
curl --request POST \
--url https://api.snowseo.com/v3/integrations/indexnow/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"host": "<string>",
"existingKey": "<string>",
"persist": true
}
'import requests
url = "https://api.snowseo.com/v3/integrations/indexnow/connect"
payload = {
"host": "<string>",
"existingKey": "<string>",
"persist": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({host: '<string>', existingKey: '<string>', persist: true})
};
fetch('https://api.snowseo.com/v3/integrations/indexnow/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snowseo.com/v3/integrations/indexnow/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'host' => '<string>',
'existingKey' => '<string>',
'persist' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.snowseo.com/v3/integrations/indexnow/connect"
payload := strings.NewReader("{\n \"host\": \"<string>\",\n \"existingKey\": \"<string>\",\n \"persist\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.snowseo.com/v3/integrations/indexnow/connect")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"host\": \"<string>\",\n \"existingKey\": \"<string>\",\n \"persist\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snowseo.com/v3/integrations/indexnow/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"host\": \"<string>\",\n \"existingKey\": \"<string>\",\n \"persist\": true\n}"
response = http.request(request)
puts response.read_body{
"key": "<string>",
"host": "<string>",
"keyFileUrl": "<string>",
"fileName": "<string>"
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}{
"success": true,
"error": "<string>",
"code": "<string>",
"message": "<string>",
"reference": "<string>"
}Body: optional
host (defaults to the brand’s website host), existingKey (an IndexNow key, or its key file URL, you already host), and persist (default true; with false and no existingKey it only returns a generated key without saving). Returns { key, host, keyFileUrl, fileName }. Host the key at keyFileUrl, then call verify. Saving leaves the integration inactive until verified. Invalid key input returns 400 with message.Was this page helpful?

